Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Sonic pi
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
sao98021
Tux's lil' helper
Tux's lil' helper


Joined: 03 Apr 2012
Posts: 144
Location: Michigan

PostPosted: Tue Mar 20, 2018 9:23 pm    Post subject: Sonic pi Reply with quote

I've found a few people who've successfully have built sonic pi, but upon running it dies. Has anyone had any success?
Back to top
View user's profile Send private message
masick
n00b
n00b


Joined: 25 Dec 2018
Posts: 1

PostPosted: Tue Dec 25, 2018 11:50 pm    Post subject: Reply with quote

My apologies about being a thread necromancer.

I finally managed to compile (and run) Sonic PI on Gentoo (Funtoo, actually) on my 32-bit eeepc netbook.

Install dependencies
Code:

emerge qtconcurrent linguist-tools  # qtconcurrent is required during make, linguist-tools provides `lrelease`
USE="qt5 -qt4" emerge qwt qscintilla  # provide required include files such as qwt_plot.h and libraries


Now is the tricky part. Sonic Pi aborts with supercollider-3.8.0. Need to install at least 3.9.0.
I created an ebuild in my own overlay based on the previous version (your path may vary, especially because I'm using Funtoo)
Code:

cd /var/git/overlay/myoverlay/media-sound/supercollider
cp /var/git/meta-repo/kits/media-kit/media-sound/supercollider/supercollider-3.8.0-r1.ebuild supercollider-3.9.0.ebuild
mkdir files
cp /var/git/meta-repo/kits/media-kit/media-sound/supercollider/files/supercollider-3.8.0-no-opengl.patch files/supercollider-3.9.0-no-opengl.patch
cp /var/git/meta-repo/kits/media-kit/media-sound/supercollider/files/supercollider-3.8.0-no-qtpositioning.patch files/supercollider-3.9.0-no-qtpositioning.patch
cp /var/git/meta-repo/kits/media-kit/media-sound/supercollider/files/supercollider-3.8.0-no-qtsensors.patch files/supercollider-3.9.0-no-qtsensors.patch

#here edit supercollider-3.9.0.ebuild and get rid of 3 lines (-multilib, -gcc-7, -desktop) in PATCHES variable, leaving references to 3 patches just copied above

ebuild supercollider-3.9.0.ebuild manifest
USE="-portaudio jack" emerge ">=supercollider-3.9.0"


Pull the source code
Code:

wget https://github.com/samaaron/sonic-pi/archive/v3.1.0.tar.gz -O sonic-pi-3.1.0.tar.gz
tar xf sonic-pi-3.1.0.tar.gz
cd sonic-pi-3.1.0


Start building based on instructions in ./app/gui/qt/INSTALL-LINUX.md, adjusting paths which are a little bit wrong there
Code:

cd app/gui/qt
../../server/ruby/bin/compile-extensions.rb
../../server/ruby/bin/i18n-tool.rb -t
cp -f ruby_help.tmpl ruby_help.h
../../server/ruby/bin/qt-doc.rb -o ruby_help.h
lrelease SonicPi.pro
qmake -qt=qt5 SonicPi.pro
#here, edit Makefile, find "LIBS =" line, and replace  -lqt5scintilla2 with -lqscintilla2_qt5
make
Back to top
View user's profile Send private message
sao98021
Tux's lil' helper
Tux's lil' helper


Joined: 03 Apr 2012
Posts: 144
Location: Michigan

PostPosted: Fri Dec 28, 2018 3:35 pm    Post subject: Reply with quote

wow, thanks for posting this
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum